<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования поискового запроса.
 * 
 * Файл: /admin/seo/action/add_query.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Получаем переданные поля
$param['seo_search_query_id'] = to_int($_POST['seo_search_query_id']);
$param['site_id'] = to_int($_POST['site_id']);
//$param['seo_search_query_value'] = to_str($_POST['seo_search_query_value']);

if (isset($_REQUEST['users_id'])) 
{
	$param['users_id'] = to_int($_REQUEST['users_id']);
}
else 
{
	$param['users_id'] = 0;
}

$error = false;

$query_arr = explode("\n", to_str($_POST['seo_search_query_value']));

foreach ($query_arr as $key => $val)
{
	if (trim($val) != '')
	{
		$param['seo_search_query_value'] = trim($val);
		if (!($insert_id = $seo->InsertQuery($param)))
		{
			$error = true;
		}
	}
}

// Если добавление прошло успешно, обязательно добавим на форму скрытое поле с ID добавленной записи
if (!$error)
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddQuery', 'seo_search_query_id', '<?php echo $insert_id?>');
	</script><?php

	// Редактирование сущности
	if ($param['seo_search_query_id'])
	{
		show_message($GLOBALS['MSG_seo']['edit_success']);
	}
	else // Добавление сущности
	{
		show_message($GLOBALS['MSG_seo']['add_success']);
	}
}
else // Ошибка добавления/редактирования
{
	if ($param['seo_search_query_id'])
	{
		show_error_message($GLOBALS['MSG_seo']['edit_error']);
	}
	else
	{
		show_error_message($GLOBALS['MSG_seo']['add_error']);
	}
}
?>